# Table structure for table 'download_elem'
#

CREATE TABLE download_elem (
   id int(11) NOT NULL auto_increment,
   layout_id int(11) DEFAULT '0' NOT NULL,
   link_id int(11) DEFAULT '0' NOT NULL,
   name varchar(80) NOT NULL,
   filename varchar(255) NOT NULL,
   filesize bigint(20),
   author varchar(80),
   version varchar(8),
   link varchar(255) NOT NULL,
   description text,
   count int(11),
   date datetime,
   status char(1),
   PRIMARY KEY (id)
);

#
# Dumping data for table 'download_elem'
#

INSERT INTO download_elem VALUES ( '1', '31', '5', 'lou portail', 'http://louportail.free.fr/louportail.tar.gz', '212155', 'cedric baudoin', '0.6', 'http://louportail.free.fr/', 'Ensemble de scripts pour grer un portail internet', '0', '2001-05-21 09:49:09', 'A');

# --------------------------------------------------------
#

INSERT INTO icon_elem VALUES ( '15', '24', 'menu_download.gif', 'index.php3?action=download', '32', '32', 'Tlchargement');

INSERT INTO layout VALUES ( '31', '20', 'Tlchargement');

INSERT INTO link_category_elem VALUES ( '5', '31', '-1', 'Portail Web', 'Scripts PHP-MySQL', 'A');

INSERT INTO logo_elem VALUES ( '5', '20', '5', 'metal_logo.gif', '128', '500', 'Lou portail');

INSERT INTO module VALUES ( '20', 'download', 'download.php3', 'display_download', 'download.gif');


INSERT INTO theme VALUES ( '5', 'Metal', 'Un thme issu de Enlightement');

INSERT INTO theme_layout VALUES ( '1', '31', '5', '7', '1', '0', '0');
INSERT INTO theme_layout VALUES ( '2', '31', '5', '7', '1', '0', '0');
INSERT INTO theme_layout VALUES ( '3', '31', '5', '7', '1', '0', '0');
INSERT INTO theme_layout VALUES ( '4', '31', '5', '7', '1', '0', '0');
INSERT INTO theme_layout VALUES ( '5', '1', '8', '0', '1', '0', '0');
INSERT INTO theme_layout VALUES ( '5', '2', '10', '0', '1', '0', '0');
INSERT INTO theme_layout VALUES ( '5', '3', '6', '0', '1', '150', '1');
INSERT INTO theme_layout VALUES ( '5', '4', '6', '1', '1', '150', '1');
INSERT INTO theme_layout VALUES ( '5', '5', '6', '2', '1', '150', '1');
INSERT INTO theme_layout VALUES ( '5', '6', '6', '3', '1', '150', '1');
INSERT INTO theme_layout VALUES ( '5', '7', '6', '4', '1', '150', '1');
INSERT INTO theme_layout VALUES ( '5', '8', '9', '0', '1', '0', '0');
INSERT INTO theme_layout VALUES ( '5', '9', '5', '1', '1', '0', '0');
INSERT INTO theme_layout VALUES ( '5', '10', '6', '5', '1', '150', '1');
INSERT INTO theme_layout VALUES ( '5', '11', '4', '0', '1', '150', '0');
INSERT INTO theme_layout VALUES ( '5', '12', '4', '1', '1', '150', '0');
INSERT INTO theme_layout VALUES ( '5', '13', '4', '2', '1', '150', '0');
INSERT INTO theme_layout VALUES ( '5', '14', '4', '3', '1', '150', '0');
INSERT INTO theme_layout VALUES ( '5', '15', '5', '2', '1', '0', '0');
INSERT INTO theme_layout VALUES ( '5', '16', '5', '0', '1', '0', '0');
INSERT INTO theme_layout VALUES ( '5', '17', '6', '6', '1', '150', '1');
INSERT INTO theme_layout VALUES ( '5', '18', '4', '4', '1', '150', '1');
INSERT INTO theme_layout VALUES ( '5', '20', '1', '0', '1', '0', '0');
INSERT INTO theme_layout VALUES ( '5', '21', '4', '4', '1', '150', '1');
INSERT INTO theme_layout VALUES ( '5', '22', '6', '9', '1', '150', '1');
INSERT INTO theme_layout VALUES ( '5', '23', '4', '5', '1', '150', '0');
INSERT INTO theme_layout VALUES ( '5', '24', '3', '0', '1', '0', '0');
INSERT INTO theme_layout VALUES ( '5', '25', '6', '10', '1', '150', '1');
INSERT INTO theme_layout VALUES ( '5', '26', '5', '3', '1', '0', '0');
INSERT INTO theme_layout VALUES ( '5', '27', '5', '4', '1', '0', '0');
INSERT INTO theme_layout VALUES ( '5', '28', '6', '11', '1', '150', '1');
INSERT INTO theme_layout VALUES ( '5', '29', '5', '5', '1', '0', '0');
INSERT INTO theme_layout VALUES ( '5', '30', '5', '6', '1', '0', '0');
INSERT INTO theme_layout VALUES ( '5', '31', '5', '7', '1', '0', '0');

# Table structure for table 'user_admin'
#

CREATE TABLE user_admin (
   id int(11) NOT NULL auto_increment,
   user_id int(11) DEFAULT '0' NOT NULL,
   module_id int(11) DEFAULT '0' NOT NULL,
   PRIMARY KEY (id)
);

#
# Dumping data for table 'user_admin'
#


# --------------------------------------------------------
#

# Table structure for table 'user_download'
#

CREATE TABLE user_download (
   user_id int(11) DEFAULT '0' NOT NULL,
   layout_id int(11) DEFAULT '0' NOT NULL,
   nb_files tinyint(4) unsigned DEFAULT '10' NOT NULL
);

#
# Dumping data for table 'user_download'
#

INSERT INTO user_download VALUES ( '-1', '31', '10');

DROP TABLE stat_archive_elem

#
# Table structure for table 'stat_archive_elem'
#
 
CREATE TABLE stat_archive_elem (
   id int(11) NOT NULL auto_increment,
   year int(10) unsigned DEFAULT '0' NOT NULL,
   month tinyint(3) unsigned DEFAULT '0' NOT NULL,
   total_count int(10) unsigned DEFAULT '0',
   hit_count int(11) unsigned,
   total_agent blob,
   total_os blob,
   total_page blob,
   total_day blob,
   total_hour blob,
   hit_day blob,
   hit_hour blob,
   PRIMARY KEY (id)
);
