ALTER TABLE user_story_elem ADD nb_columns TINYINT UNSIGNED DEFAULT '1' not null;

ALTER TABLE theme DROP bgcolor;
ALTER TABLE theme DROP textcolor;
ALTER TABLE theme DROP bgcolor2;
ALTER TABLE theme DROP textcolor2;
ALTER TABLE theme DROP header_bgcolor;
ALTER TABLE theme DROP header_textcolor;
ALTER TABLE theme DROP footer_bgcolor;
ALTER TABLE theme DROP footer_textcolor;
ALTER TABLE theme DROP linkcolor;
ALTER TABLE theme DROP vlinkcolor;
ALTER TABLE theme DROP alinkcolor;
ALTER TABLE theme ADD description VARCHAR (255);

UPDATE theme SET description = 'Le thme original de une balle dans le genou' WHERE id = '1';
UPDATE theme SET description = 'Le thme du clbre Slashdot' WHERE id = '2';
UPDATE theme SET description = 'Un des plus beau thme de nuke' WHERE id = '3';
UPDATE theme SET description = 'Le thme de nuke inspir par OSX' WHERE id = '4';

ALTER TABLE module DROP user_display_func;
ALTER TABLE module DROP admin_display_func;
ALTER TABLE module ADD icon VARCHAR (64);

UPDATE module SET icon = 'random_box.gif' WHERE id = '1';
UPDATE module SET icon = 'constant_box.gif' WHERE id = '2';
UPDATE module SET icon = 'story.gif' WHERE id = '3';
UPDATE module SET icon = 'old_story.gif' WHERE id = '4';
UPDATE module SET icon = 'icon_box.gif' WHERE id = '5';
UPDATE module SET icon = 'comment.gif' WHERE id = '6';
UPDATE module SET icon = 'topic_box.gif' WHERE id = '7';
UPDATE module SET icon = 'last_comment.gif' WHERE id = '8';
UPDATE module SET icon = 'headlines.gif' WHERE id = '9';
UPDATE module SET icon = 'logo_box.gif' WHERE id = '10';
UPDATE module SET icon = 'login_box.gif' WHERE id = '11';
UPDATE module SET icon = 'user_box.gif' WHERE id = '12';
UPDATE module SET icon = 'menu_bar.gif' WHERE id = '13';
UPDATE module SET icon = 'search_box.gif' WHERE id = '14';
UPDATE module SET icon = 'search_result.gif' WHERE id = '15';
INSERT INTO module VALUES ( '16', 'poll', 'poll.php3', 'display_poll', 'poll.gif');
INSERT INTO module VALUES ( '17', 'poll_box', 'poll_box.php3', 'display_poll_box', 'poll_box.gif');

CREATE TABLE poll_data_elem (
   id int(11) DEFAULT '0' NOT NULL,
   poll_id int(11) DEFAULT '0' NOT NULL,
   option_text varchar(80) NOT NULL,
   option_count int(11) DEFAULT '0' NOT NULL
);

CREATE TABLE poll_elem (
   id int(11) NOT NULL auto_increment,
   layout_id int(11) DEFAULT '0' NOT NULL,
   title varchar(80) NOT NULL,
   PRIMARY KEY (id)
);

CREATE TABLE user_poll_box (
   user_id int(11) DEFAULT '0' NOT NULL,
   layout_id int(11) DEFAULT '0' NOT NULL,
   state tinyint(4) DEFAULT '1' NOT NULL
);

INSERT INTO layout VALUES ( '27', '16', 'Poll result');
INSERT INTO layout VALUES ( '28', '17', 'Sondage');

INSERT INTO theme_layout VALUES ( '1', '27', '5', '4', '1', '0', '0');
INSERT INTO theme_layout VALUES ( '2', '27', '5', '4', '1', '0', '0');
INSERT INTO theme_layout VALUES ( '3', '27', '5', '4', '1', '0', '0');
INSERT INTO theme_layout VALUES ( '4', '27', '5', '4', '1', '0', '0');
INSERT INTO theme_layout VALUES ( '1', '28', '6', '11', '1', '140', '1');
INSERT INTO theme_layout VALUES ( '2', '28', '6', '11', '1', '160', '1');
INSERT INTO theme_layout VALUES ( '3', '28', '6', '11', '1', '165', '1');
INSERT INTO theme_layout VALUES ( '4', '28', '6', '11', '1', '180', '1');

#
# Dumping data for table 'user_poll_box'
#
 
INSERT INTO user_poll_box VALUES ( '-1', '28', '1');
