INSERT INTO icon_elem VALUES ( '13', '24', 'menu_link.gif', 'index.php3?action=link', '32', '32', 'Annuaire de liens');
INSERT INTO icon_elem VALUES ( '14', '24', 'menu_stat.gif', 'index.php3?action=stat', '32', '32', 'Statistiques');

INSERT INTO layout VALUES ( '29', '18', 'Annuaire');
INSERT INTO layout VALUES ( '30', '19', 'Statistique');

# --------------------------------------------------------
#
# Table structure for table 'link_category_elem'
#

CREATE TABLE link_category_elem (
   id int(11) NOT NULL auto_increment,
   layout_id int(11) DEFAULT '0' NOT NULL,
   link_id int(11) DEFAULT '0' NOT NULL,
   title varchar(80) NOT NULL,
   description tinytext,
   status char(1),
   PRIMARY KEY (id)
);

#
# Dumping data for table 'link_category_elem'
#

INSERT INTO link_category_elem VALUES ( '1', '29', '-1', 'Sites lou portail', 'Les sites utilisant Lou portail', 'A');
INSERT INTO link_category_elem VALUES ( '2', '29', '-1', 'Portails', 'Les autres portails internet', 'A');

# --------------------------------------------------------
#
# Table structure for table 'link_elem'
#

CREATE TABLE link_elem (
   id int(11) NOT NULL auto_increment,
   layout_id int(11) DEFAULT '0' NOT NULL,
   link_id int(11) DEFAULT '0' NOT NULL,
   name varchar(80) NOT NULL,
   link varchar(255) NOT NULL,
   description text,
   count int(11),
   date datetime,
   status char(1),
   PRIMARY KEY (id)
);

#
# Dumping data for table 'link_elem'
#

INSERT INTO link_elem VALUES ( '1', '29', '1', 'une balle dans le genou', 'http://lahaine.free.fr', 'Le site original
actualit bte et mchante et coups de gueule en srie...', '0', '2001-04-21 14:15:36', 'A');
INSERT INTO link_elem VALUES ( '2', '29', '1', 'Lou portail', 'http://louportail.free.fr', 'Le site de dveloppememt de Lou portail', '0', '2001-04-21 14:15:36', 'A');
INSERT INTO link_elem VALUES ( '3', '29', '1', 'Libre actu', 'http://severino.free.fr', 'Le portail du libre dans son ensemble', '0', '2001-04-21 14:15:36', 'A');
INSERT INTO link_elem VALUES ( '4', '29', '1', 'Bievenue chez Alain', 'http://weefa.com/11alcom/', 'Portail de programmation web', '0', '2001-04-29 16:59:46', 'A');
INSERT INTO link_elem VALUES ( '5', '29', '2', 'PHP-Nuke', 'http://www.phpnuke.org', 'La rfrence du genre
Avec normment de qualits, et presque autant de dfauts...', '0', '2001-05-04 16:27:59', 'A');

INSERT INTO module VALUES ( '18', 'link', 'link.php3', 'display_link', 'link.gif');
INSERT INTO module VALUES ( '19', 'stat', 'stat.php3', 'display_stat', 'stat.gif');

# Table structure for table 'stat_archive_elem'
#

CREATE TABLE stat_archive_elem (
   id int(11) NOT NULL auto_increment,
   year int(10) unsigned DEFAULT '0' NOT NULL,
   month tinyint(3) unsigned DEFAULT '0' NOT NULL,
   total_count int(10) unsigned DEFAULT '0',
   hit_count int(10) unsigned DEFAULT '0',
   total_agent blob,
   total_os blob,
   total_page blob,
   total_day blob,
   total_hour blob,
   hit_day blob,
   hit_hour blob,
   PRIMARY KEY (id)
);

#
# Dumping data for table 'stat_archive_elem'
#


# --------------------------------------------------------
#
# Table structure for table 'stat_elem'
#

CREATE TABLE stat_elem (
   id int(11) NOT NULL auto_increment,
   agent varchar(32),
   os varchar(32),
   time datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   page varchar(32) DEFAULT 'Main' NOT NULL,
   hit tinyint(4) DEFAULT '0',
   PRIMARY KEY (id)
);

#
# Dumping data for table 'stat_elem'
#

INSERT INTO theme_layout VALUES ( '1', '29', '5', '5', '1', '0', '0');
INSERT INTO theme_layout VALUES ( '2', '29', '5', '5', '1', '0', '0');
INSERT INTO theme_layout VALUES ( '3', '29', '5', '5', '1', '0', '0');
INSERT INTO theme_layout VALUES ( '4', '29', '5', '5', '1', '0', '0');
INSERT INTO theme_layout VALUES ( '1', '30', '5', '6', '1', '0', '0');
INSERT INTO theme_layout VALUES ( '2', '30', '5', '6', '1', '0', '0');
INSERT INTO theme_layout VALUES ( '3', '30', '5', '6', '1', '0', '0');
INSERT INTO theme_layout VALUES ( '4', '30', '5', '6', '1', '0', '0');

# Table structure for table 'user_icon_box'
#

CREATE TABLE user_icon_box (
   user_id int(11) DEFAULT '0' NOT NULL,
   layout_id int(11) DEFAULT '0' NOT NULL,
   state tinyint(4) DEFAULT '1' NOT NULL
);

#
# Dumping data for table 'user_icon_box'
#

INSERT INTO user_icon_box VALUES ( '-1', '11', '1');
INSERT INTO user_icon_box VALUES ( '-1', '12', '1');
INSERT INTO user_icon_box VALUES ( '-1', '13', '1');
INSERT INTO user_icon_box VALUES ( '-1', '14', '1');

# --------------------------------------------------------
#
# Table structure for table 'user_link'
#

CREATE TABLE user_link (
   user_id int(11) DEFAULT '0' NOT NULL,
   layout_id int(11) DEFAULT '0' NOT NULL,
   nb_links tinyint(4) unsigned DEFAULT '10' NOT NULL
);

#
# Dumping data for table 'user_link'
#

INSERT INTO user_link VALUES ( '-1', '29', '10');
