<?
function stat_add ($page_name)
{
  global $timeinfo;

  // check if the page is a hit
  if ($timeinfo)
  {
    list ($visit, $poll) = explode ('+', $timeinfo);
    list ($year, $month, $day, $hour, $minut) = explode ('-', $visit);
    if (time() - mktime ((int)$hour, (int)$minut, 0, (int)$month, (int)$day, $year) < 1800)
      $check = 0;
    else
      $check = 1;
  }
  else
  {
    $poll  = "2000-01-01";
    $check = 1;
  }

  // get the current date
  $time    = date("Y-m-d H:i:s");

  // Get the Browser data
  if((ereg("Nav", getenv("HTTP_USER_AGENT"))) || (ereg("Gold", getenv("HTTP_USER_AGENT"))) || (ereg("X11", getenv("HTTP_USER_AGENT"))) || (ereg("Netscape", getenv("HTTP_USER_AGENT"))) AND (!ereg("MSIE", getenv("HTTP_USER_AGENT")))) $browser = "Netscape";
  elseif(ereg("MSIE", getenv("HTTP_USER_AGENT"))) $browser = "MSIE";
  elseif(ereg("Mozilla", getenv("HTTP_USER_AGENT"))) $browser = "Mozilla";
  elseif(ereg("Lynx", getenv("HTTP_USER_AGENT"))) $browser = "Lynx";
  elseif(ereg("Opera", getenv("HTTP_USER_AGENT"))) $browser = "Opera";
  elseif(ereg("WebTV", getenv("HTTP_USER_AGENT"))) $browser = "WebTV";
  elseif(ereg("Konqueror", getenv("HTTP_USER_AGENT"))) $browser = "Konqueror";
  elseif((eregi("bot", getenv("HTTP_USER_AGENT"))) || (ereg("Google", getenv("HTTP_USER_AGENT"))) || (ereg("Slurp", getenv("HTTP_USER_AGENT"))) || (ereg("Scooter", getenv("HTTP_USER_AGENT"))) || (eregi("Spider", getenv("HTTP_USER_AGENT"))) || (eregi("Infoseek", getenv("HTTP_USER_AGENT")))) $browser = "Bot";
  else $browser = "Other";

  /* Get the Operating System data */
  if(ereg("Win", getenv("HTTP_USER_AGENT"))) $os = "Windows";
  elseif((ereg("Mac", getenv("HTTP_USER_AGENT"))) || (ereg("PPC", getenv("HTTP_USER_AGENT")))) $os = "Mac";
  elseif(ereg("Linux", getenv("HTTP_USER_AGENT"))) $os = "Linux";
  elseif(ereg("FreeBSD", getenv("HTTP_USER_AGENT"))) $os = "FreeBSD";
  elseif(ereg("SunOS", getenv("HTTP_USER_AGENT"))) $os = "SunOS";
  elseif(ereg("IRIX", getenv("HTTP_USER_AGENT"))) $os = "IRIX";
  elseif(ereg("BeOS", getenv("HTTP_USER_AGENT"))) $os = "BeOS";
  elseif(ereg("OS/2", getenv("HTTP_USER_AGENT"))) $os = "OS/2";
  elseif(ereg("AIX", getenv("HTTP_USER_AGENT"))) $os = "AIX";
  else $os = "Other";

  /* Save on the databases the obtained values */
  $sql = "INSERT INTO stat_elem VALUES (NULL, '$browser', '$os', '$time', '$page_name', '$check')";
  $id = mysql_query ($sql);
  @mysql_free_result($id);

  if ($check == 1)
  {
    // set the cookie (stand for 1 month)
    $cookie = date ("Y-m-d-H-i") . "+" . $poll;
    setcookie ("timeinfo", $cookie, time () + 2592000);
//echo "POLL $poll COOKIE $cookie<br>\n";
  }
}

function stat_save ($year, $month)
{
  $tab_agent = array ("Netscape"=>0, "Mozilla"=>0, "MSIE"=>0, "Lynx"=>0, "Opera"=>0, "WebTV"=>0, "Konqueror"=>0, "Bot"=>0, "Other"=>0);
  $tab_os = array ("Windows"=>0, "Mac"=>0, "Linux"=>0, "FreeBSD"=>0, "SunOS"=>0, "IRIX"=>0, "BeOS"=>0, "OS/2"=>0, "AIX"=>0, "Other"=>0);
  $tab_page = array ("Main"=>0, "User"=>0, "Admin"=>0, "Faq"=>0);
  $total = 0;
  $total_hit = 0;

  $time_limit = sprintf ('%4d-%02d', $year, $month);
  
  // find the agent and os stats that apply for this month
  $sql = "SELECT agent, os, page, time, hit FROM stat_elem WHERE time LIKE \"$time_limit%\"";
  $id = mysql_query ($sql);

  $nb_stat = mysql_num_rows ($id);
  if ($nb_stat > 0)
  {
    while (list ($agent, $os, $page, $time, $hit) = mysql_fetch_row ($id))
    {
      // get the day and the hour
      list ($this_year, $this_month, $this_day, $this_hour, $this_min, $this_sec) = split ('[- :]', $time);
      $tab_day[$this_day]++;
      $tab_hour[$this_hour]++;
      $tab_page[$page]++;
      $total++;
      if ($hit == 1)
      {
        $tab_agent[$agent]++;
        $tab_os[$os]++;
        $total_hit++;
        $tab_hit_hour[$this_hour]++;
        $tab_hit_day[$this_day]++;
      }
    }
    mysql_free_result ($id);

    //------------------------
    //    form the archive
   //------------------------
    $tab_result['Total'] = $total;
    $tab_result['Hit'] = $total_hit;

    // agent
    reset ($tab_agent);
    $row = 0;
    while (list($key, $count) = each ($tab_agent))
    {
      if ($row > 0)
        $tab_result['Agent'] .= ',';
      $tab_result['Agent'] .= "$key" . '+' . "$count";
      $row++;
    }
    // os
    reset ($tab_os);
    $row = 0;
    while (list($key, $count) = each ($tab_os))
    {
      if ($row > 0)
        $tab_result['Os'] .= ',';
      $tab_result['Os'] .= "$key" . '+' . "$count";
      $row++;
    }
    // page
    reset ($tab_page);
    $row = 0;
    while (list($key, $count) = each ($tab_page))
    {
      if ($row > 0)
        $tab_result['Page'] .= ',';
      $tab_result['Page'] .= "$key" . '+' . "$count";
      $row++;
    }
    if ($total > 0)
    {
      // Day
      reset ($tab_day);
      $row = 0;
      while (list($key, $count) = each ($tab_day))
      {
        if ($row > 0)
          $tab_result['Day'] .= ',';
        $tab_result['Day'] .= "$key" . '+' . "$count";
        $row++;
      }
      // hour
      reset ($tab_hour);
      $row = 0;
      while (list($key, $count) = each ($tab_hour))
      {
        if ($row > 0)
          $tab_result['Hour'] .= ',';
        $tab_result['Hour'] .= "$key" . '+' . "$count";
        $row++;
      }
    }
    if ($total_hit > 0)
    {
      // Day Hit
      reset ($tab_hit_day);
      $row = 0;
      while (list($key, $count) = each ($tab_hit_day))
      {
        if ($row > 0)
          $tab_result['HitDay'] .= ',';
        $tab_result['HitDay'] .= "$key" . '+' . "$count";
        $row++;
      }
      // hour hit
      reset ($tab_hit_hour);
      $row = 0;
      while (list($key, $count) = each ($tab_hit_hour))
      {
      if ($row > 0)
        $tab_result['HitHour'] .= ',';
      $tab_result['HitHour'] .= "$key" . '+' . "$count";
      $row++;
      }
    }

    // insert the archive in the corresponding tab
    $sql = "INSERT INTO stat_archive_elem VALUES (NULL, '$year', '$month', '$tab_result[Total]', '$tab_result[Hit]', '$tab_result[Agent]', '$tab_result[Os]', '$tab_result[Page]', '$tab_result[Day]', '$tab_result[Hour]', '$tab_result[HitDay]', '$tab_result[HitHour]')";
    $id = mysql_query ($sql);
    @mysql_free_result($id);

    // delete the stats that apply for this month
    $sql = "DELETE FROM stat_elem WHERE time LIKE \"$time_limit%\"";
    $id = mysql_query ($sql);
    @mysql_free_result($id);
  }
}

function stat_get_info ($time)
{
  // initalize the statistic tabs
  $tab_agent = array ("Netscape"=>0, "Mozilla"=>0, "MSIE"=>0, "Lynx"=>0, "Opera"=>0, "WebTV"=>0, "Konqueror"=>0, "Bot"=>0, "Other"=>0);
  $tab_agent_ic = array ("Netscape"=>"netscape.gif", "Mozila"=>"netscape.gif", "MSIE"=>"explorer.gif", "Lynx"=>"lynx.gif", "Opera"=>"opera.gif", "WebTV"=>"webtv.gif", "Konqueror"=>"konqueror.gif", "Bot"=>"altavista.gif", "Other"=>"question.gif");
  $tab_os = array ("Windows"=>0, "Mac"=>0, "Linux"=>0, "FreeBSD"=>0, "SunOS"=>0, "IRIX"=>0, "BeOS"=>0, "OS/2"=>0, "AIX"=>0, "Other"=>0);
  $tab_os_ic = array ("Windows"=>"windows.gif", "Mac"=>"mac.gif", "Linux"=>"linux.gif", "FreeBSD"=>"bsd.gif", "SunOS"=>"sun.gif", "IRIX"=>"irix.gif", "BeOS"=>"be.gif", "OS/2"=>"os2.gif", "AIX"=>"aix.gif", "Other"=>"question.gif");
  $tab_page = array ("Main"=>0, "User"=>0, "Admin"=>0, "Faq"=>0);
  $total = 0;
  $total_page = 0;

  // find the stat that apply for this period
  $this_time = date ("Y-m");
  if ($time == $this_time)
  {
    // the stats are not archived
    $sql = "SELECT agent, os, page, hit FROM stat_elem WHERE time LIKE \"$this_time%\"";
    $id = mysql_query ($sql);
    while (list ($agent, $os, $page, $hit) = mysql_fetch_row ($id))
    {
      if ($hit == 1)
      {
        $tab_agent[$agent]++;
        $tab_os[$os]++;
        $total++;
      }
      $tab_page[$page]++;
      $total_page++;
    }
    mysql_free_result ($id);
  }
  else
  {
    list ($year, $month) = explode ('-', $time);
    $month = (int)$month;

    // the stats are archived
    $sql = "SELECT total_agent, total_os, total_page FROM stat_archive_elem WHERE year=$year AND month=$month";
    $id = mysql_query ($sql);

    // restore the stored values
    list ($ar_agent, $ar_os, $ar_page) = mysql_fetch_row ($id);
    $val_agent = explode (',', $ar_agent);
    $val_os    = explode (',', $ar_os);
    $val_page  = explode (',', $ar_page);

    reset ($val_agent);
    while (list($key, $res) = each ($val_agent))
    {
      list ($agent, $count) = explode ('+', $res);
      $tab_agent[$agent] = $count;
      $total += $count;
    }
    reset ($val_os);
    while (list($key, $res) = each ($val_os))
    {
      list ($os, $count) = explode ('+', $res);
      $tab_os[$os] = $count;
    }
    reset ($val_page);
    while (list($key, $res) = each ($val_page))
    {
      list ($page, $count) = explode ('+', $res);
      $tab_page[$page] = $count;
      $total_page += $count;
    }
    mysql_free_result ($id);
  }

  // display the total number of hits for the period
  $htext  = "<br>Nombre de Hits du $time : <b>$total</b><br><br>\n";
  $htext .= "<br>Nombre de pages du $time : <b>$total_page</b><br><br>\n";

  // display the detailed number of hits for the period
  reset ($tab_page);
  while (list($key) = each ($tab_page))
  {
    $htext  .= "Nombre de Hits pour la page $key : <b>$tab_page[$key]</b><br>\n";
  }
  $htext .= "<br>\n";

  $htext .= "<table border=1 width=\"100%\"><tr><th class=\"center\">Browser</th><th class=\"center\">OS</th></tr>\n";

  // display the AGENT stat
  $htext .= "<tr><td class=\"bottom\">\n";
  $htext .= "<div class=\"center\"><table><tr>\n";
  reset ($tab_agent);
  while (list($key, $count) = each ($tab_agent))
  {
    if ($total != 0)
      $size = max (1, (int)(2 * 100 * $count / $total));
    else
      $size = 1;
    $htext .= "  <td class=\"bottom\"><div class=\"smaller\">$count</div><br><img src=\"images/hbar.gif\" width=11 height=$size alt=\"$key:$count\"></td>\n";
  }
  $htext .= "</tr><tr>\n";
  reset ($tab_agent_ic);
  while (list($key, $icon) = each ($tab_agent_ic))
  {
    $htext .= "  <td class=\"bottom\"><img src=\"images/stats/$icon\" alt=\"$key\"></td>\n";
  }
  $htext .= "</tr></table></div>\n";
  $htext .= "</td><td class=\"bottom\">\n";

  // display the OS stat
  $htext .= "<table><tr>\n";
  reset ($tab_os);
  while (list($key, $count) = each ($tab_os))
  {
    if ($total != 0)
      $size = max (1, (int)(2 * 100 * $count / $total));
    else
      $size = 1;
    $htext .= "  <td class=\"bottom\"><div class=\"smaller\">$count</div><br><img src=\"images/hbar.gif\" width=11 height=$size alt=\"$key:$count\"></td>\n";
  }
  $htext .= "</tr><tr>\n";
  reset ($tab_os_ic);
  while (list($key, $icon) = each ($tab_os_ic))
  {
    $htext .= "  <td class=\"bottom\"><img src=\"images/stats/$icon\" alt=\"$key\"></td>\n";
  }
  $htext .= "</tr></table>\n";
  $htext .= "</td></tr></table>\n";

  return ($htext);
}

function display_tab ($maxindex, $offset, $max_tab, $tab, $desc)
{
  $text .= "<div class=\"center\"><table><tr><th class=\"center\" colspan=$maxindex>$desc</th><tr>\n";
  for ($index = 0; $index < $maxindex; $index++)
  {
    $this_index = $index + $offset;
    if ($max_tab != 0)
      $size = max (1, (int)(2 * 100 * $tab[$index] / $max_tab));
    else
      $size = 1;
    $text .= "  <td class=\"bottom\"><div class=\"smaller\">$tab[$index]</div><br><img src=\"images/hbar.gif\" width=11 height=$size alt=\"$tab[$index]\"><br>$this_index</td>\n";
  }
  $text .= "</tr></table></div><br>\n";
  return ($text);
}

function display_month ($this_month, $this_year, $max_tab, $tab, $desc)
{
  global $g_ext;

  $text = "<div class=\"center\"><table><tr><th class=\"center\" colspan=12>$desc</th><tr>\n";
  for ($month = 0; $month < 12; $month++)
  {
    $month_index = $month + 1;
    if ($max_tab != 0)
      $size = max (1, (int)(2 * 100 * $tab[$month] / $max_tab));
    else
      $size = 1;

    if ($month < $this_month - 1)
    {
      $text .= "  <td class=\"bottom\"><div class=\"smaller\">$tab[$month]</div><br><img src=\"images/hbar.gif\" width=11 height=$size alt=\"$tab[$month]\"><br><a href=\"index.$g_ext?action=stat&value=$month_index&option=$this_year\">$month_index</a></td>\n";
    }
    else if ($month == $this_month - 1)
    {
      $text .= "  <td class=\"bottom\"><div class=\"smaller\">$tab[$month]</div><br><img src=\"images/hbar.gif\" width=11 height=$size alt=\"$tab[$month]\"><br><a href=\"index.$g_ext?action=stat\">$month_index</a></td>\n";
    }
    else
    {
      $text .= "  <td class=\"bottom\"><div class=\"smaller\">$tab[$month]</div><br><img src=\"images/hbar.gif\" width=11 height=$size alt=\"$tab[$month]\"><br>$month_index</td>\n";
    }
  }
  $text .= "</tr></table></div>\n";
  return ($text);
}

function display_stat ($layout_id, $name, $action, $value, $option)
{
  if ($action == stat)
  {
    //---------------------------------
    //        AUTOMATIC ARCHIVE
    //---------------------------------
    // get the current year/month
    $this_year  = date ("Y");
    $this_month = date ("n");

    // find the last stored archive
    $sql = "SELECT year, month FROM stat_archive_elem WHERE ((year=$this_year AND month<$this_month) OR (year<$this_year)) ORDER BY year DESC, month DESC LIMIT 1";
    $id = mysql_query ($sql);
    if (mysql_num_rows ($id) != 0)
    {
      list ($ar_year, $ar_month) = mysql_fetch_row ($id);

      $ar_offset = $ar_year * 12 + $ar_month + 1;
      $nb_month = ($this_year * 12 + $this_month ) - $ar_offset;
      for ($i = 0; $i < $nb_month; $i++)
      {
        $year = floor (($ar_offset + $i) / 12);
        $month = $ar_offset + $i - ($year * 12);
        stat_save($year, $month);
      }
      mysql_free_result ($id);
    }
    else
    {
      // find the first stat
      $sql = "SELECT time FROM stat_elem ORDER BY id LIMIT 1";
      $id = mysql_query ($sql);
      $this_time = mysql_result ($id, 0, 0);
      list ($ar_year, $ar_month, $ar_day) = explode ('-', $this_time);
      $ar_offset = $ar_year * 12 + $ar_month;
      $nb_month = ($this_year * 12 + $this_month ) - $ar_offset;
      for ($i = 0; $i < $nb_month; $i++)
      {
        $year = floor (($ar_offset + $i) / 12);
        $month = $ar_offset + $i - ($year * 12);
        stat_save($year, $month);
      }
      mysql_free_result ($id);
    }

    //---------------------------------
    //         DAILY STATISTICS
    //---------------------------------
    $title = "Statistique de la journe";

    // HOUR STATISTICS
    $total = 0;
    $total_hit = 0;
    $max_page = 0;
    $max_hit = 0;

    if (isset ($value))
    {
      $desc = "moyenn sur le mois ($value-$option)";

      // the stats are archived
      $sql = "SELECT total_hour, hit_hour FROM stat_archive_elem WHERE year=$option AND month=$value";
      $id = mysql_query ($sql);
      list ($ar_hour, $hit_hour) = mysql_fetch_row ($id);

      // restore the stored values for the page stat
      $val_hour = explode (',', $ar_hour);

      reset ($val_hour);
      while (list($key, $res) = each ($val_hour))
      {
        list ($hour, $count) = explode ('+', $res);
        $tab_hour[(int)$hour] = $count;
        $max_page = max ($max_page, (int)$count);
        $total += $count;
      }
      // restore the stored values for the hit
      $val_hit_hour = explode (',', $hit_hour);

      reset ($val_hit_hour);
      while (list($key, $res) = each ($val_hit_hour))
      {
        list ($hour, $count) = explode ('+', $res);
        $tab_hit_hour[(int)$hour] = $count;
        $max_hit = max ($max_hit, (int)$count);
        $total_hit += $count;
      }
    }
    else
    {
      $desc = "pour la journe en cours";
      for ($hour = 0; $hour < 24; $hour++)
      {
        $this_hour = sprintf ('%02d', $hour);
        $time_limit = date ("Y-m-d") . " $this_hour";
        $sql = "SELECT COUNT(*), SUM(hit) FROM stat_elem WHERE time LIKE \"$time_limit%\"";
        $id = mysql_query ($sql);
        list ($tab_hour[$hour], $tab_hit_hour[$hour]) = mysql_fetch_row ($id);
        $total+=$tab_hour[$hour];
        $total_hit+=$tab_hit_hour[$hour];
        $max_hit = max ($max_hit, $tab_hit_hour[$hour]);
        $max_page = max ($max_page, (int)$tab_hour[$hour]);
        mysql_free_result ($id);
      }
    }
    $htext  = display_tab (24, 0, $max_hit, $tab_hit_hour, "Hits par heure " . $desc);
    $htext .= "Nombre total de hits " . $desc . " : <b>" . $total_hit . "</b><br><br>\n";
    $htext .= display_tab (24, 0, $max_page, $tab_hour, "Pages par heure " . $desc);
    $htext .= "Nombre total de pages vues " . $desc . " : <b>" . $total . "</b><br><br>\n";

    draw_story ("", "", $time, -1, "stat.gif", "Statistique", $title, $htext, "", "", "");

    //---------------------------------
    //         MONTH STATISTICS
    //---------------------------------
    $title = "Statistique du mois";

    // find the agent/os/page stats that apply for this month
    if (isset ($value))
      $this_date = sprintf ('%4d-%02d', $option, $value);
    else
      $this_date = date ("Y-m");
    $htext = stat_get_info ($this_date);

    // find the hit stat that applies for this month
    $total = 0;
    $total_hit = 0;
    $max_page = 0;
    $max_hit = 0;

    if (isset ($value))
    {
      $desc = "moyenn sur le mois ($value-$option)";
      // the stats are archived
      $sql = "SELECT total_day, hit_day FROM stat_archive_elem WHERE year=$option AND month=$value";
      $id = mysql_query ($sql);
      list ($ar_day, $hit_day) = mysql_fetch_row ($id);
      mysql_free_result ($id);

      // restore the stored values for the pages
      $val_day = explode (',', $ar_day);
      reset ($val_day);
      while (list($key, $res) = each ($val_day))
      {
        list ($day, $count) = explode ('+', $res);
        $tab_day[(int)$day] = $count;
        $max_page = max ($max_page, $count);
        $total += $count;
      }
      // restore the stored values for the hit
      $val_hit_day = explode (',', $hit_day);
      reset ($val_hit_day);
      while (list($key, $res) = each ($val_hit_day))
      {
        list ($day, $count) = explode ('+', $res);
        $tab_hit_day[(int)$day] = $count;
        $max_hit = max ($max_hit, $count);
        $total_hit += $count;
      }
    }
    else
    {
      $desc = "pour le mois en cours";
      for ($day = 0; $day < 31; $day++)
      {
        $this_day = sprintf ('%02d', $day + 1);
        $time_limit = date ("Y-m") . "-$this_day";
        $sql = "SELECT COUNT(*), SUM(hit) FROM stat_elem WHERE time LIKE \"$time_limit%\"";
        $id = mysql_query ($sql);
        list ($tab_day[$day], $tab_hit_day[$day]) = mysql_fetch_row ($id);
        $max_hit = max ($max_hit, $tab_hit_day[$day]);
        $max_page = max ($max_page, (int)$tab_day[$day]);
        $total += $tab_day[$day];
        $total_hit += $tab_hit_day[$day];
        mysql_free_result ($id);
      }
    }
    $htext .= display_tab (31, 1, $max_hit, $tab_hit_day, "Hits par jour " . $desc);
    $htext .= display_tab (31, 1, $max_page, $tab_day, "Pages par jour " . $desc);

    draw_story ("", "", $time, -1, "stat.gif", "Statistique", $title, $htext, "", "", "");
    $total_month = $total;

    //---------------------------------
    //         YEAR STATISTICS
    //---------------------------------
    $title = "Statistiques de l'anne";
    $total = 0;
    $total_hit = 0;
    $max_page = 0;
    $max_hit = 0;

    if (isset ($option))
      $this_year = $option;
    else
      $this_year = date ("Y");

    $sql = "SELECT total_count, hit_count, month FROM stat_archive_elem WHERE year=$this_year ORDER BY month";
    $id = mysql_query ($sql);
    while (list ($count, $hit, $month) = mysql_fetch_row ($id))
    {
      $tab_month[$month-1] = $count;
      $tab_hit_month[$month-1] = $hit;
      $max_hit = max ($max_hit, $hit);
      $max_page = max ($max_page, $count);
      $total+=$count;
      $total_hit+=$hit;
    }
    mysql_free_result ($id);
    
    // add the statistic for the current month
    $this_month = date ("n");
    $time_limit = sprintf ('%4d-%02d', $this_year, $this_month);
    $sql = "SELECT COUNT(*), SUM(hit) FROM stat_elem WHERE time LIKE \"$time_limit%\"";
    $id = mysql_query ($sql);
    list ($total_month, $total_hit_month) = mysql_fetch_row ($id);
    mysql_free_result ($id);

    $tab_month[$this_month-1] = $total_month;
    $total += $total_month;
    $tab_hit_month[$this_month-1] = $total_hit_month;
    $total_hit += $total_hit_month;
    $max_hit = max ($max_hit, $total_hit_month);
    $max_page = max ($max_page, (int)$total_month);
    
    $htext  = display_month ($this_month, $this_year, $max_hit, $tab_hit_month, "Hits par mois");
    $htext .= display_month ($this_month, $this_year, $max_page, $tab_month, "Pages par mois");
    draw_story ("", "", $time, -1, "stat.gif", "Statistique", $title, $htext, "", "", "");
  }
}

function admin_display_stat ()
{
  echo "Stat";
}

function user_display_stat ()
{
  echo "Stat";
}
?>
